package com.zbf.system.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.zbf.common.annotation.Excel;
import com.zbf.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.apache.poi.ss.usermodel.IndexedColors;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 入库通知单明细对象 t_rk_ware_notice_tab
 *
 * @author tony
 * @date 2024-06-18
 */
public class TRkWareNoticeTabExcel extends BaseEntity {
private static final long serialVersionUID = 1L;

    /** 主表ID */
    private String noticeId;

    /** 主键 */
//    @Excel(name = "WMS明细编号",type = Excel.Type.EXPORT)
    private String id;
    /** 状态 */
    @Excel(name = "入库状态")
    private String status;
    /** 签收人 */
    @Excel(name = "签收人")
    private String recPerson;
    /** 交货单号 */
    @Excel(name = "来源单据号")
    private String sourceNum;
    /** 交货单号 */
//    @Excel(name = "来源单据号")
    private String deliveryId;
    @Excel(name = "发货单号" )
    private String purchaseId;

    /** 子需求编号 */
    @Excel(name = "子需求编号" ,required = true,headerColor= IndexedColors.RED)
    private String salesOrderNumber;
    /** 物料编号 */
    @Excel(name = "物料编码" ,required = true,headerColor= IndexedColors.RED)
    @NotNull(message = "物料编码为空")
    private String goodsId;
    /** 物料名称 */
    @Excel(name = "物料名称",required = true,headerColor= IndexedColors.RED)
    @NotNull(message = "物料名称为空")
    private String goodsName;
    /** 单位 */
    @Excel(name = "主计量单位",required = true,headerColor= IndexedColors.RED)
    @NotNull(message = "主计量单位")
    private String unit;
    /** 规格型号 */
    @Excel(name = "规格说明" ,required = true,headerColor= IndexedColors.RED)
    @NotNull(message = "规格型号为空")
    private String specification;
    /** 物料描述 */
    @Excel(name = "物料描述",required = true,headerColor= IndexedColors.RED)
    @NotNull(message = "物料描述为空")
    private String recoil;
    /** 计划单价（含税） */
    @Excel(name = "采购含税单价" ,required = true,headerColor= IndexedColors.RED)
    private BigDecimal price;
    /** 计划金额 */
    @Excel(name = "采购含税金额" ,required = true,headerColor= IndexedColors.RED)
    private BigDecimal totalMoney;
    /** 到货数量 */
    private BigDecimal amount;
    /** 实收数量 */
    @Excel(name = "实收数量",required = true,headerColor= IndexedColors.RED)
    private BigDecimal arraMount;
    /** 需求部门 */
    @Excel(name = "需求部门")
    private String needDept;
    /** 供应商名称 */
    @Excel(name = "供货供应商")
    private String providerName;
    /** 来源单据类型 */
    @Excel(name = "来源单据类型")
    private String orderType;
    /** 到货单号 */
    @Excel(name = "到货单号",required = true,headerColor= IndexedColors.RED)
    private String arrivalNum;
    /** 需求时间 */
    @Excel(name = "签收时间")
    private String expiryDate;
    /** 发货单号 */
    /** 到货日期 */
    @Excel(name = "到货日期")
    private String arraDate;
    /** 收货人 */
    @Excel(name = "收货人")
    private String receiver;
    /** 单据状态 */
    @Excel(name = "单据状态")
    private String documentStatus;
    /** 是否重点物资 */
    @Excel(name = "是否重点物资")
    private String emphasisGoods;
    /** 需求人 */
    @Excel(name = "需求人")
    private String needPerson;
    /** 联系方式 */
    @Excel(name = "需求人联系方式")
    private String needTel;
    /** 发票抬头 */
    @Excel(name = "发票抬头")
    private String invoiceTitle;
    /** 采购无税单价 */
    @Excel(name = "采购无税单价")
    private BigDecimal noTaxPrice;
    /** 采购无税金额 */
    @Excel(name = "采购无税金额")
    private BigDecimal noTaxMoney;
    /** 采购税率 */
    @Excel(name = "采购税率")
    private BigDecimal purchaseTaxRate;
    //    @Excel(name = " 订单来源")
    private  String dataSource;
    /** 采购税额 */
    @Excel(name = "采购税额")
    private BigDecimal purchaseTax;
    /** 慧采模式 */
    @Excel(name = "慧采模式")
    private String smartSelectionMode;
    /** 累计仓库收货数量 */
    @Excel(name = "累计仓库收货数量")
    private BigDecimal totalArraAmout;
    /** 品牌 */
    @Excel(name = "品牌")
    private String brand;

    /** 是否独立核算 */
    @Excel(name = "是否独立核算")
    private String independentAccounting;

    /** 用途 */
    @Excel(name = "用途")
    private String useType;

    /** 是否加急 */
    @Excel(name = "是否加急")
    private String expedited;

    /** 单独开票标识 */
    @Excel(name = "单独开票标识")
    private String individualInvoicing;
    /** 绝收数量 */
    @Excel(name = "绝收数量")
    private BigDecimal rejectNum;

    /** 请购人 */
    @Excel(name = "请购人")
    private String purchaser;
    /** 累计入库数量 */
    @Excel(name = "累计入库数量")
    private Long acceNum;
    /** 计划日期 */
    @Excel(name = "计划到货日期")
    private String planDate;
    /** 附件 */
    @Excel(name = "附件")
    private String attachments;

    /** 附件 */
    @Excel(name = "供方附件")
    private String supplierAttachments;

    /** 批次号 */
    @Excel(name = "批号")
    private String batchNo;


    /** 签收数量 */
//    @Excel(name = "签收数量")
    private BigDecimal recNum;

    /** 工程项目 */
//    @Excel(name = "工程项目")
    private String project;

    /** 测量单位 */
    private String scaleUnit;

    /** 总量 */
    private BigDecimal totalVolume;

    /** 毛重 */
    private BigDecimal totalRoughWeight;

    /** 净重 */
    private BigDecimal totalNetWeigh;



    /** 上报时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
//    @Excel(name = "上报时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date productionDate;

    /** 仓库ID */
    private String storageId;

    /** 库区 */
    private String storageAreaId;

    /** 技术需求附件 */
//    @Excel(name = "技术需求附件")
    private String packageId;

    /** 物料分类 */
//    @Excel(name = "物料分类")
    private String goodsTypeId;

    /** 条码 */
//    @Excel(name = "条码")
    private String barcode;

    /** 重量 */
    private BigDecimal goodsVolume;

    /** 打印状态 */
    private String printSts;

    /** 打印次数 */
    private Long printCs;

    /** 净重 */
    private BigDecimal netWeigh;

    /** 冻结数量 */
    private Long kindNum;



    /** 创建时间 */
    private Date operateDate;

    /** 物料状态 */
    private String productStatus;

    /** 收货状态 */
    private String receivingStatus;

    /** 内部状态 */
    private String inStatus;

    /** 托盘号 */
    private String ctl;

    /** 质检日期 */
    private String qualityInspectionDate;





    /** 质检状态 */
    private String qualityInspecStatus;


    /** 申请人 */
//    @Excel(name = "申请人")
    private String applicant;

    /** 申请部门 */
//    @Excel(name = "申请部门")
    private String supplier;

    /** 是否合格 */
    private String qualified;

    /** 计划时间 */
    private String planTime;

    /** 需求周期 */
    private BigDecimal needCycle;

    /** 需求类型 */
    private String needType;



    /** 上报时间 */
    private String reportTime;


    /**编辑状态 */
    @TableField(exist = false)
    private boolean editFlg = false;

    /**是否新追加 */
    @TableField(exist = false)
    private boolean addFlg = false;

    public String getNeedTel() {
        return needTel;
    }

    public void setNeedTel(String needTel) {
        this.needTel = needTel;
    }

    public BigDecimal getNoTaxPrice() {
        return noTaxPrice;
    }

    public void setNoTaxPrice(BigDecimal noTaxPrice) {
        this.noTaxPrice = noTaxPrice;
    }

    public BigDecimal getNoTaxMoney() {
        return noTaxMoney;
    }

    public void setNoTaxMoney(BigDecimal noTaxMoney) {
        this.noTaxMoney = noTaxMoney;
    }

    public BigDecimal getPurchaseTaxRate() {
        return purchaseTaxRate;
    }

    public void setPurchaseTaxRate(BigDecimal purchaseTaxRate) {
        this.purchaseTaxRate = purchaseTaxRate;
    }

    public BigDecimal getPurchaseTax() {
        return purchaseTax;
    }

    public void setPurchaseTax(BigDecimal purchaseTax) {
        this.purchaseTax = purchaseTax;
    }

    public String getSmartSelectionMode() {
        return smartSelectionMode;
    }

    public void setSmartSelectionMode(String smartSelectionMode) {
        this.smartSelectionMode = smartSelectionMode;
    }

    public String getIndependentAccounting() {
        return independentAccounting;
    }

    public String getArrivalNum() {
        return arrivalNum;
    }

    public void setArrivalNum(String arrivalNum) {
        this.arrivalNum = arrivalNum;
    }

    public void setIndependentAccounting(String independentAccounting) {
        this.independentAccounting = independentAccounting;
    }

    public String getEmphasisGoods() {
        return emphasisGoods;
    }

    public void setEmphasisGoods(String emphasisGoods) {
        this.emphasisGoods = emphasisGoods;
    }

    public String getInvoiceTitle() {
        return invoiceTitle;
    }

    public void setInvoiceTitle(String invoiceTitle) {
        this.invoiceTitle = invoiceTitle;
    }


    public BigDecimal getTotalArraAmout() {
        return totalArraAmout;
    }

    public void setTotalArraAmout(BigDecimal totalArraAmout) {
        this.totalArraAmout = totalArraAmout;
    }

    public String getNeedPerson() {
        return needPerson;
    }

    public void setNeedPerson(String needPerson) {
        this.needPerson = needPerson;
    }

    public String getArraDate() {
        return arraDate;
    }

    public void setArraDate(String arraDate) {
        this.arraDate = arraDate;
    }

    public String getDocumentStatus() {
        return documentStatus;
    }

    public void setDocumentStatus(String documentStatus) {
        this.documentStatus = documentStatus;
    }

    public String getExpedited() {
        return expedited;
    }

    public void setExpedited(String expedited) {
        this.expedited = expedited;
    }

    public String getIndividualInvoicing() {
        return individualInvoicing;
    }

    public void setIndividualInvoicing(String individualInvoicing) {
        this.individualInvoicing = individualInvoicing;
    }

    public BigDecimal getRejectNum() {
        return rejectNum;
    }

    public void setRejectNum(BigDecimal rejectNum) {
        this.rejectNum = rejectNum;
    }

    public String getSourceNum() {
        return sourceNum;
    }

    public void setSourceNum(String sourceNum) {
        this.sourceNum = sourceNum;
    }

    /** 供应商编号 */
//    @Excel(name = "供应商编号")
    private String providerId;




    /** 发货组织 */
//    @Excel(name = "发货组织")
    private String shippingDept;

    /** 联系人 */
//    @Excel(name = "联系人")
    private String contact;



    /** 收货地址 */
//    @Excel(name = "收货地址")
    private String receiveAddr;

    /** 发货日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发货日期", width = 30, dateFormat = "yyyy-MM-dd")
    private String sendeDate;

    /** 采购组织 */
//    @Excel(name = "采购组织")
    private String purchaseDept;

    /** 送货区域 */
//    @Excel(name = "送货区域")
    private String receivingArea;

    /** 使用单位收货人 */
//    @Excel(name = "使用单位收货人")
    private String useReceiver;

    /** 使用单位保管员 */
//    @Excel(name = "使用单位保管员")
    private String useCustodian;

    /** 使用单位主管 */
//    @Excel(name = "使用单位主管")
    private String useLeader;




    /** 收货组织 */
//    @Excel(name = "收货组织")
    private String produclotId;

    /** 收货人部门 */
//    @Excel(name = "收货人部门")
    private String receiverDept;

    /** 招标员 */
//    @Excel(name = "招标员")
    private String tenderer;

    /** ABC分类 */
//    @Excel(name = "ABC分类")
    private String abc;

    /** 1:一级库 2：二级库 */
//    @Excel(name = "仓库类别")
    private String levelType;
    /** 仓库名称 */
//    @Excel(name = "仓库名称")
    private String storageShortName;

    public String getDataSource() {
        return dataSource;
    }

    public void setDataSource(String dataSource) {
        this.dataSource = dataSource;
    }

    public String getStorageShortName() {
        return storageShortName;
    }

    public void setStorageShortName(String storageShortName) {
        this.storageShortName = storageShortName;
    }

    public String getAbc() {
        return abc;
    }

    public void setAbc(String abc) {
        this.abc = abc;
    }

    public String getLevelType() {
        return levelType;
    }

    public void setLevelType(String levelType) {
        this.levelType = levelType;
    }

    public String getRecPerson() {
        return recPerson;
    }

    public void setRecPerson(String recPerson) {
        this.recPerson = recPerson;
    }

    public String getPurchaser() {
        return purchaser;
    }

    public void setPurchaser(String purchaser) {
        this.purchaser = purchaser;
    }

    public String getAttachments() {
        return attachments;
    }

    public void setAttachments(String attachments) {
        this.attachments = attachments;
    }

    public String getSupplierAttachments() {
        return supplierAttachments;
    }

    public void setSupplierAttachments(String supplierAttachments) {
        this.supplierAttachments = supplierAttachments;
    }

    public String getDeliveryId() {
        return deliveryId;
    }

    public void setDeliveryId(String deliveryId) {
        this.deliveryId = deliveryId;
    }

    public String getProviderId() {
        return providerId;
    }

    public void setProviderId(String providerId) {
        this.providerId = providerId;
    }

    public String getProviderName() {
        return providerName;
    }

    public void setProviderName(String providerName) {
        this.providerName = providerName;
    }

    public String getPurchaseId() {
        return purchaseId;
    }

    public void setPurchaseId(String purchaseId) {
        this.purchaseId = purchaseId;
    }

    public String getShippingDept() {
        return shippingDept;
    }

    public void setShippingDept(String shippingDept) {
        this.shippingDept = shippingDept;
    }

    public String getContact() {
        return contact;
    }

    public void setContact(String contact) {
        this.contact = contact;
    }

    public String getReceiveAddr() {
        return receiveAddr;
    }

    public void setReceiveAddr(String receiveAddr) {
        this.receiveAddr = receiveAddr;
    }

    public String getSendeDate() {
        return sendeDate;
    }

    public void setSendeDate(String sendeDate) {
        this.sendeDate = sendeDate;
    }

    public String getPurchaseDept() {
        return purchaseDept;
    }

    public void setPurchaseDept(String purchaseDept) {
        this.purchaseDept = purchaseDept;
    }

    public String getReceivingArea() {
        return receivingArea;
    }

    public void setReceivingArea(String receivingArea) {
        this.receivingArea = receivingArea;
    }

    public String getUseReceiver() {
        return useReceiver;
    }

    public void setUseReceiver(String useReceiver) {
        this.useReceiver = useReceiver;
    }

    public String getUseCustodian() {
        return useCustodian;
    }

    public void setUseCustodian(String useCustodian) {
        this.useCustodian = useCustodian;
    }

    public String getUseLeader() {
        return useLeader;
    }

    public void setUseLeader(String useLeader) {
        this.useLeader = useLeader;
    }

    public String getReceiver() {
        return receiver;
    }

    public void setReceiver(String receiver) {
        this.receiver = receiver;
    }

    public String getProduclotId() {
        return produclotId;
    }

    public void setProduclotId(String produclotId) {
        this.produclotId = produclotId;
    }

    public String getReceiverDept() {
        return receiverDept;
    }

    public void setReceiverDept(String receiverDept) {
        this.receiverDept = receiverDept;
    }

    public String getTenderer() {
        return tenderer;
    }

    public void setTenderer(String tenderer) {
        this.tenderer = tenderer;
    }

    public boolean isAddFlg() {
        return addFlg;
}

public void setAddFlg(boolean addFlg) {
        this.addFlg = addFlg;
}

public boolean isEditFlg() {
        return editFlg;
}

public void setEditFlg(boolean editFlg) {
        this.editFlg = editFlg;
}

public String getStorageLocation() {
        return storageLocation;
}

public void setStorageLocation(String storageLocation) {
        this.storageLocation = storageLocation;
}

public BigDecimal getRecNumNow() {
        return recNumNow;
}

public void setRecNumNow(BigDecimal recNumNow) {
        this.recNumNow = recNumNow;
}

/**库位 */
    private String storageLocation;

    /**本次接收数量 */
    private BigDecimal recNumNow;

    public void setId(String id) {
            this.id = id;
            }

    public String getId() {
            return id;
            }
    public void setSalesOrderNumber(String salesOrderNumber) {
            this.salesOrderNumber = salesOrderNumber;
            }

    public String getSalesOrderNumber() {
            return salesOrderNumber;
            }
    public void setNoticeId(String noticeId) {
            this.noticeId = noticeId;
            }

    public String getNoticeId() {
            return noticeId;
            }
    public void setGoodsId(String goodsId) {
            this.goodsId = goodsId;
            }

    public String getGoodsId() {
            return goodsId;
            }
    public void setGoodsName(String goodsName) {
            this.goodsName = goodsName;
            }

    public String getGoodsName() {
            return goodsName;
            }
    public void setUnit(String unit) {
            this.unit = unit;
            }

    public String getUnit() {
            return unit;
            }
    public void setSpecification(String specification) {
            this.specification = specification;
            }

    public String getSpecification() {
            return specification;
            }
    public void setRecoil(String recoil) {
            this.recoil = recoil;
            }

    public String getRecoil() {
            return recoil;
            }
    public void setBrand(String brand) {
            this.brand = brand;
            }

    public String getBrand() {
            return brand;
            }
    public void setPrice(BigDecimal price) {
            this.price = price;
            }

    public BigDecimal getPrice() {
            return price;
            }
    public void setTotalMoney(BigDecimal totalMoney) {
            this.totalMoney = totalMoney;
            }

    public BigDecimal getTotalMoney() {
            return totalMoney;
            }
    public void setArraMount(BigDecimal arraMount) {
            this.arraMount = arraMount;
            }

    public BigDecimal getArraMount() {
            return arraMount;
            }
    public void setRecNum(BigDecimal recNum) {
            this.recNum = recNum;
            }

    public BigDecimal getRecNum() {
            return recNum;
            }
    public void setProject(String project) {
            this.project = project;
            }

    public String getProject() {
            return project;
            }
    public void setNeedDept(String needDept) {
            this.needDept = needDept;
            }

    public String getNeedDept() {
            return needDept;
            }
    public void setUseType(String useType) {
            this.useType = useType;
            }

    public String getUseType() {
            return useType;
            }
    public void setScaleUnit(String scaleUnit) {
            this.scaleUnit = scaleUnit;
            }

    public String getScaleUnit() {
            return scaleUnit;
            }
    public void setTotalVolume(BigDecimal totalVolume) {
            this.totalVolume = totalVolume;
            }

    public BigDecimal getTotalVolume() {
            return totalVolume;
            }
    public void setTotalRoughWeight(BigDecimal totalRoughWeight) {
            this.totalRoughWeight = totalRoughWeight;
            }

    public BigDecimal getTotalRoughWeight() {
            return totalRoughWeight;
            }
    public void setTotalNetWeigh(BigDecimal totalNetWeigh) {
            this.totalNetWeigh = totalNetWeigh;
            }

    public BigDecimal getTotalNetWeigh() {
            return totalNetWeigh;
            }
    public void setAmount(BigDecimal amount) {
            this.amount = amount;
            }

    public BigDecimal getAmount() {
            return amount;
            }
    public void setProductionDate(Date productionDate) {
            this.productionDate = productionDate;
            }

    public Date getProductionDate() {
            return productionDate;
            }
    public void setStorageId(String storageId) {
            this.storageId = storageId;
            }

    public String getStorageId() {
            return storageId;
            }
    public void setStorageAreaId(String storageAreaId) {
            this.storageAreaId = storageAreaId;
            }

    public String getStorageAreaId() {
            return storageAreaId;
            }
    public void setPackageId(String packageId) {
            this.packageId = packageId;
            }

    public String getPackageId() {
            return packageId;
            }
    public void setGoodsTypeId(String goodsTypeId) {
            this.goodsTypeId = goodsTypeId;
            }

    public String getGoodsTypeId() {
            return goodsTypeId;
            }
    public void setBarcode(String barcode) {
            this.barcode = barcode;
            }

    public String getBarcode() {
            return barcode;
            }
    public void setGoodsVolume(BigDecimal goodsVolume) {
            this.goodsVolume = goodsVolume;
            }

    public BigDecimal getGoodsVolume() {
            return goodsVolume;
            }
    public void setPrintSts(String printSts) {
            this.printSts = printSts;
            }

    public String getPrintSts() {
            return printSts;
            }
    public void setPrintCs(Long printCs) {
            this.printCs = printCs;
            }

    public Long getPrintCs() {
            return printCs;
            }
    public void setNetWeigh(BigDecimal netWeigh) {
            this.netWeigh = netWeigh;
            }

    public BigDecimal getNetWeigh() {
            return netWeigh;
            }
    public void setKindNum(Long kindNum) {
            this.kindNum = kindNum;
            }

    public Long getKindNum() {
            return kindNum;
            }
    public void setExpiryDate(String expiryDate) {
            this.expiryDate = expiryDate;
            }

    public String getExpiryDate() {
            return expiryDate;
            }
    public void setOperateDate(Date operateDate) {
            this.operateDate = operateDate;
            }

    public Date getOperateDate() {
            return operateDate;
            }
    public void setProductStatus(String productStatus) {
            this.productStatus = productStatus;
            }

    public String getProductStatus() {
            return productStatus;
            }
    public void setReceivingStatus(String receivingStatus) {
            this.receivingStatus = receivingStatus;
            }

    public String getReceivingStatus() {
            return receivingStatus;
            }
    public void setInStatus(String inStatus) {
            this.inStatus = inStatus;
            }

    public String getInStatus() {
            return inStatus;
            }
    public void setCtl(String ctl) {
            this.ctl = ctl;
            }

    public String getCtl() {
            return ctl;
            }
    public void setQualityInspectionDate(String qualityInspectionDate) {
            this.qualityInspectionDate = qualityInspectionDate;
            }

    public String getQualityInspectionDate() {
            return qualityInspectionDate;
            }
    public void setStatus(String status) {
            this.status = status;
            }

    public String getStatus() {
            return status;
            }
    public void setAcceNum(Long acceNum) {
            this.acceNum = acceNum;
            }

    public Long getAcceNum() {
            return acceNum;
            }
    public void setQualityInspecStatus(String qualityInspecStatus) {
            this.qualityInspecStatus = qualityInspecStatus;
            }

    public String getQualityInspecStatus() {
            return qualityInspecStatus;
            }
    public void setOrderType(String orderType) {
            this.orderType = orderType;
            }

    public String getOrderType() {
            return orderType;
            }
    public void setApplicant(String applicant) {
            this.applicant = applicant;
            }

    public String getApplicant() {
            return applicant;
            }
    public void setSupplier(String supplier) {
            this.supplier = supplier;
            }

    public String getSupplier() {
            return supplier;
            }
    public void setQualified(String qualified) {
            this.qualified = qualified;
            }

    public String getQualified() {
            return qualified;
            }
    public void setPlanDate(String planDate) {
            this.planDate = planDate;
            }

    public String getPlanDate() {
            return planDate;
            }
    public void setPlanTime(String planTime) {
            this.planTime = planTime;
            }

    public String getPlanTime() {
            return planTime;
            }
    public void setNeedCycle(BigDecimal needCycle) {
            this.needCycle = needCycle;
            }

    public BigDecimal getNeedCycle() {
            return needCycle;
            }
    public void setNeedType(String needType) {
            this.needType = needType;
            }

    public String getNeedType() {
            return needType;
            }
    public void setBatchNo(String batchNo) {
            this.batchNo = batchNo;
            }

    public String getBatchNo() {
            return batchNo;
            }

    public String getReportTime() {
        return reportTime;
    }

    public void setReportTime(String reportTime) {
        this.reportTime = reportTime;
    }

    @Override
public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("salesOrderNumber", getSalesOrderNumber())
            .append("noticeId", getNoticeId())
            .append("goodsId", getGoodsId())
            .append("goodsName", getGoodsName())
            .append("unit", getUnit())
            .append("specification", getSpecification())
            .append("recoil", getRecoil())
            .append("brand", getBrand())
            .append("price", getPrice())
            .append("totalMoney", getTotalMoney())
            .append("arraMount", getArraMount())
            .append("recNum", getRecNum())
            .append("project", getProject())
            .append("needDept", getNeedDept())
            .append("useType", getUseType())
            .append("scaleUnit", getScaleUnit())
            .append("totalVolume", getTotalVolume())
            .append("totalRoughWeight", getTotalRoughWeight())
            .append("totalNetWeigh", getTotalNetWeigh())
            .append("amount", getAmount())
            .append("productionDate", getProductionDate())
            .append("storageId", getStorageId())
            .append("storageAreaId", getStorageAreaId())
            .append("packageId", getPackageId())
            .append("remark", getRemark())
            .append("goodsTypeId", getGoodsTypeId())
            .append("barcode", getBarcode())
            .append("goodsVolume", getGoodsVolume())
            .append("printSts", getPrintSts())
            .append("printCs", getPrintCs())
            .append("netWeigh", getNetWeigh())
            .append("kindNum", getKindNum())
            .append("expiryDate", getExpiryDate())
            .append("operateDate", getOperateDate())
            .append("productStatus", getProductStatus())
            .append("receivingStatus", getReceivingStatus())
            .append("inStatus", getInStatus())
            .append("ctl", getCtl())
            .append("qualityInspectionDate", getQualityInspectionDate())
            .append("status", getStatus())
            .append("acceNum", getAcceNum())
            .append("qualityInspecStatus", getQualityInspecStatus())
            .append("orderType", getOrderType())
            .append("applicant", getApplicant())
            .append("supplier", getSupplier())
            .append("qualified", getQualified())
            .append("updateTime", getUpdateTime())
            .append("planDate", getPlanDate())
            .append("planTime", getPlanTime())
            .append("needCycle", getNeedCycle())
            .append("needType", getNeedType())
            .append("batchNo", getBatchNo())
            .append("reportTime", getReportTime())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
        .toString();
        }
}













